Freeciv-3.1: road_type Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
road_type Struct Reference

`#include <road.h>`

## Data Fields

int | id
int | move_cost
enum road_move_mode | move_mode
int | tile_incr_const [O_LAST]
int | tile_incr [O_LAST]
int | tile_bonus [O_LAST]
enum road_compat | compat
enum road_gui_type | gui_type
struct requirement_vector | first_reqs
bv_max_extras | integrates
bv_road_flags | flags
struct extra_type_list * | integrators
struct extra_type * | self

## Detailed Description

Definition at line 75 of file road.h.

## Field Documentation

## ◆ compat

enum road_compat road_type::compat

Definition at line 83 of file road.h.

Referenced by handle_ruleset_road(), load_ruleset_terrain(), road_compat_special(), rscompat_road_gui_type_3_1(), save_terrain_ruleset(), and send_ruleset_roads().

## ◆ first_reqs

struct requirement_vector road_type::first_reqs

Definition at line 86 of file road.h.

Referenced by are_road_reqs_fulfilled(), handle_ruleset_road(), is_universal_needed(), load_ruleset_terrain(), road_type_init(), road_types_free(), and send_ruleset_roads().

## ◆ flags

bv_road_flags road_type::flags

Definition at line 89 of file road.h.

Referenced by handle_ruleset_road(), load_ruleset_terrain(), road_has_flag(), and send_ruleset_roads().

## ◆ gui_type

enum road_gui_type road_type::gui_type

Definition at line 84 of file road.h.

Referenced by handle_ruleset_road(), load_ruleset_terrain(), road_by_gui_type(), save_terrain_ruleset(), and send_ruleset_roads().

## ◆ id

int road_type::id

Definition at line 76 of file road.h.

Referenced by road_number(), and road_type_init().

## ◆ integrates

bv_max_extras road_type::integrates

Definition at line 88 of file road.h.

Referenced by handle_ruleset_road(), load_ruleset_terrain(), road_integrators_cache_init(), sanity_check_ruleset_data(), and send_ruleset_roads().

## ◆ integrators

struct extra_type_list* road_type::integrators

Definition at line 93 of file road.h.

Referenced by are_road_reqs_fulfilled(), fill_road_sprite_array(), fill_sprite_array(), is_native_move(), road_integrators_cache_init(), road_type_init(), road_types_free(), sanity_check_ruleset_data(), and tile_move_cost_ptrs().

## ◆ move_cost

int road_type::move_cost

Definition at line 78 of file road.h.

Referenced by compare_road_move_cost(), get_connect_irrig(), get_connect_road(), handle_ruleset_road(), helptext_extra(), load_ruleset_terrain(), popup_terrain_info(), road_provides_move_bonus(), save_terrain_ruleset(), send_ruleset_roads(), settler_evaluate_improvements(), tai_tile_worker_task_select(), texai_tile_worker_task_select(), and tile_move_cost_ptrs().

## ◆ move_mode

enum road_move_mode road_type::move_mode

Definition at line 79 of file road.h.

Referenced by handle_ruleset_road(), is_cardinal_only_road(), is_native_move(), load_ruleset_terrain(), save_terrain_ruleset(), send_ruleset_roads(), and tile_move_cost_ptrs().

## ◆ self

struct extra_type* road_type::self

Definition at line 95 of file road.h.

Referenced by road_extra_get(), and road_type_init().

## ◆ tile_bonus

int road_type::tile_bonus[O_LAST]

Definition at line 82 of file road.h.

Referenced by handle_ruleset_road(), helptext_road_bonus_str(), load_ruleset_terrain(), save_terrain_ruleset(), send_ruleset_roads(), and tile_roads_output_bonus().

## ◆ tile_incr

int road_type::tile_incr[O_LAST]

Definition at line 81 of file road.h.

Referenced by extra_bonus_for_terrain(), handle_ruleset_road(), help_update_extra(), helptext_extra(), helptext_road_bonus_str(), load_ruleset_terrain(), save_terrain_ruleset(), send_ruleset_roads(), and tile_roads_output_incr().

## ◆ tile_incr_const

int road_type::tile_incr_const[O_LAST]

Definition at line 80 of file road.h.

Referenced by extra_bonus_for_terrain(), handle_ruleset_road(), helptext_road_bonus_str(), load_ruleset_terrain(), save_terrain_ruleset(), send_ruleset_roads(), and tile_roads_output_incr().